package jp.gihyo.mitoma.android.s1201dialog;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.DialogFragment;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import jp.gihyo.mitoma.android.s1201dialog.fragment.MyDialogFragment;

public class MainActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Button btn = findViewById(R.id.btn);
        // クリックリスナーのセット
        btn.setOnClickListener(new ButtonOnClick());
    }
    private class ButtonOnClick implements View.OnClickListener{
        @Override
        public void onClick(View v) {
            // ダイアログの生成と表示
            DialogFragment dialog =new MyDialogFragment();
            dialog.show(getSupportFragmentManager(),null);
        }
    }

}